Bug 450187 - deprecate malloc_hook(3) man page
deprecate malloc_hook(3) man page
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: man-pages (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-05 15:18 EDT by Jeff Bastian
Modified: 2008-06-11 03:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-11 03:41:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Bastian 2008-06-05 15:18:10 EDT
+++ This bug was initially created as a clone of Bug #450186 +++

Cloned for Fedora 9 tracking.

-------- Original Message --------
Subject: Re: Alternatives to Malloc Hooks and RHEL?
Date: Tue, 20 May 2008 10:20:06 -0700
From: Ulrich Drepper <drepper@redhat.com>

Johnray Fuller wrote:
> According to this post:
> 
> http://sources.redhat.com/ml/libc-alpha/2006-07/msg00108.html
> 
> One should not use malloc hooks as they are deprecated.

Indeed, the will actually stop working completely in the not so distant
future.  They also don't really work for multi-threaded code anymore.


-- Additional comment from jbastian@redhat.com on 2008-06-05 15:01 EST --
As indicated above, malloc hooks are broken and going away, but the
malloc_hook(3) man page does not reflect this.  Can it be updated to indicate
it's deprecated?
Comment 1 Ivana Varekova 2008-06-11 03:41:46 EDT
Fixed in man-2.80-2.fc10.

Note You need to log in before you can comment on or make changes to this bug.